Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.engine.transaction.spi
Interface IsolationDelegate

All Known Implementing Classes:
  JdbcIsolationDelegate, JtaIsolationDelegate

    public interface IsolationDelegate

Contract for performing work in a manner that isolates it from any current transaction.

Method Summary
`
`<T> T`
` | `delegateWork(WorkExecutorVisitable<T> work, boolean transacted)` Perform the given work in isolation from current transaction.

Method Detail

### delegateWork

    <T> T delegateWork(WorkExecutorVisitable<T> work,
                       boolean transacted)
                   throws HibernateException

  Perform the given work in isolation from current transaction.

  Parameters:
    `work` - The work to be performed.
    `transacted` - Should the work itself be done in a (isolated) transaction?
  Returns:
    The work result
  Throws:
    `HibernateException` - Indicates a problem performing the work.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.